Bug 468626 - Trying to load greyhounds saved data results in crash
Trying to load greyhounds saved data results in crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: greyhounds (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Krzysztof Kurzawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 17:18 EDT by András Szilárd
Modified: 2009-07-14 10:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:26:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash dump (8.81 KB, text/plain)
2008-10-26 17:18 EDT, András Szilárd
no flags Details
example saved data (gzipped) (46.01 KB, application/x-gzip)
2008-10-26 17:21 EDT, András Szilárd
no flags Details

  None (edit)
Description András Szilárd 2008-10-26 17:18:16 EDT
Created attachment 321557 [details]
crash dump

Description of problem: Trying to load a saved game results in a crash dump.


Version-Release number of selected component (if applicable):
$ rpm -qif /usr/bin/greyhounds
Name        : greyhounds                   Relocations: (not relocatable)
Version     : 0.8                               Vendor: Fedora Project
Release     : 0.3.prealpha.fc9              Build Date: Tue 19 Feb 2008 05:59:57 PM CET
Install Date: Fri 01 Aug 2008 01:04:23 AM CEST      Build Host: hammer2.fedora.redhat.com
Group       : Amusements/Games              Source RPM: greyhounds-0.8-0.3.prealpha.fc9.src.rpm
Size        : 825683                           License: GPLv2
Signature   : DSA/SHA1, Thu 10 Apr 2008 09:06:39 PM CEST, Key ID b44269d04f2a6fd2
Packager    : Fedora Project
URL         : http://sourceforge.net/projects/byghound

How reproducible: Always (heh, it seems :)


Steps to Reproduce:
1. Start new game
2. Save it (you can save it right after start)
3. Try to load the saved game.
  
Actual results: Crash

Expected results: Load saved game

Additional info: there is a bug: https://bugzilla.redhat.com/show_bug.cgi?id=455567 the root cause of the error may be the same.
Comment 1 András Szilárd 2008-10-26 17:21:34 EDT
Created attachment 321558 [details]
example saved data (gzipped)

Must be extracted before usage.
Comment 2 Bug Zapper 2009-06-09 23:05:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:26:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.